[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.IndexOf

Return the index of the object instance

## Declaration

Source position: contnrs.pp line 310

`public function TFPHashObjectList.IndexOf(`
`AObject: TObject`
`):Integer;`

## Arguments

`AObject` |  | Data object instance to search for.

## Function result

Index of Item in the list.

## Description

IndexOf returns the index of the first occurrence of object instance AObject. If the object is not in the list, -1 is returned.

The performed search is linear, and not very efficient.

## See also

TFPHashObjectList.HashOfIndex |  | Return the hash valye of an object by index
TFPHashObjectList.NameOfIndex |  | Returns the key name of an object by index
TFPHashObjectList.Find |  | Find data associated with key
TFPHashObjectList.FindIndexOf |  | Return index of named object.
TFPHashObjectList.FindWithHash |  | Find first element with given name and hash value

Documentation generated on: Feb 26 2014